Subject: Re: bug#68255: 28.2; Can't connect to emacs daemon after logging out and back in.

From: Eli Zaretskii <[email-masked]>
Date: Sat, 17 Feb 2024 10:34:25 +0200

Ping! Could you please try the suggestion below, so we could make some
progress in handling this bug?  TIA.

> Cc: [email-masked]
> Date: Sun, 11 Feb 2024 10:50:27 +0200
> From: Eli Zaretskii <[email-masked]>
> 
> > Cc: [email-masked]
> > Date: Sat, 06 Jan 2024 08:54:24 +0200
> > From: Eli Zaretskii <[email-masked]>
> > 
> > [Please use Reply All to reply, to keep the bug tracker CC'ed.]
> > 
> > > From: Jeremy Phelps <[email-masked]>
> > > Date: Fri, 5 Jan 2024 15:13:43 -0500
> > > 
> > > > If the above analysis is correct, then you can customize 'server-name'
> > > > to be an absolute file name of the directory where you want the socket
> > > > to be created, and invoke emacsclient with the --socket-name=NAME
> > > > option (or set EMACS_SOCKET_NAME=NAME in the environment), where NAME
> > > > is the same directory as in the value of 'server-name' option.  Did
> > > > you try that?
> > > 
> > > I did not try that, and I wouldn't be able to test it without reinstalling Emacs
> > > to get rid of my workaround.
> > 
> > Well, I'd encourage you to try this, because if it works, then there
> > is a solution to this situation, and if it doesn't work, we need to
> > fix whatever prevents it from working.
> 
> Any progress with this?
> 
> Thanks.
> 
> 
> 
>